// -*- c++ -*-
# ifndef MoveList_h
# define MoveList_h
# include <list>
# include <vector>
# include <Moves/Move.h>
# include <SmartPointer.h>
# include <algorithm>
namespace Alice
{
  class MoveList
    : public std::vector<SmartPointer<Move> >
  {
  public:
    MoveList(){reserve(256);};
    template <typename Comp>
    void sort(Comp c)
    {
      std::sort( begin(), end(), c);
    }
    void push_front( SmartPointer<Move>& move )
    {
      insert( begin(), move );
    }
  };


};
# endif // MoveList_h
